polybori::CCacheManBase< ManagerType, CacheType, ArgumentLength > Class Template Reference

This template forms the base for CCacheManagement. It implements routines for finding and inserting results into the cache. More...

`#include <CCacheManagement.h>`

Inheritance diagram for polybori::CCacheManBase< ManagerType, CacheType, ArgumentLength >:

## Detailed Description

### template<class ManagerType, class CacheType, unsigned ArgumentLength>
class polybori::CCacheManBase< ManagerType, CacheType, ArgumentLength >

This template forms the base for CCacheManagement. It implements routines for finding and inserting results into the cache.

Template arguments: ManagerType, CacheType, nArgs

Note
  We have template specializations for nArgs = 1, 2, 3 corresponding to unary, binary and ternary funtions to be cached. In addition, nArgs = 0 is used, when no cache is used.

The documentation for this class was generated from the following file:

- CCacheManagement.h